/****************************************************************************************** 
 *	Chili DirectX Framework Version 16.07.20											  *	
 *	Game.cpp																			  *
 *	Copyright 2016 PlanetChili.net <http://www.planetchili.net>							  *
 *																						  *
 *	This file is part of The Chili DirectX Framework.									  *
 *																						  *
 *	The Chili DirectX Framework is free software: you can redistribute it and/or modify	  *
 *	it under the terms of the GNU General Public License as published by				  *
 *	the Free Software Foundation, either version 3 of the License, or					  *
 *	(at your option) any later version.													  *
 *																						  *
 *	The Chili DirectX Framework is distributed in the hope that it will be useful,		  *
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of						  *
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the						  *
 *	GNU General Public License for more details.										  *
 *																						  *
 *	You should have received a copy of the GNU General Public License					  *
 *	along with The Chili DirectX Framework.  If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************************/
#include "MainWindow.h"
#include "Game.h"

Game::Game( MainWindow& wnd )
	:
	wnd( wnd ),
	gfx( wnd )
{
}

void Game::Go()
{
	gfx.BeginFrame();	
	UpdateModel();
	ComposeFrame();
	gfx.EndFrame();
}

void Game::UpdateModel()
{
	if (wnd.kbd.KeyIsPressed(VK_UP))
	{
		y -= 10;
	}
	if (wnd.kbd.KeyIsPressed(VK_DOWN))
	{
		y += 10;
	}
	if (wnd.kbd.KeyIsPressed(VK_LEFT))
	{
		x -= 5;
	}
	if (wnd.kbd.KeyIsPressed(VK_RIGHT))
	{
		x += 5;
	}
}

void Game::ComposeFrame()
{
	gfx.DrawTri(400 + (x), 300 + (y/2), 300 + (x * 2), 350 + y, 350 + (x * 2), 330 + y, Colors::MakeRGB(26, 10, 182));
	gfx.DrawTri(404 + (x), 300 + (y / 2), 500 + (x * 2), 350 + y, 450 + (x * 2), 330 + y, Colors::MakeRGB(26, 10, 182));
	gfx.DrawTri(402 + (x), 300 + (y / 2), 350 + (x * 2), 330 + y, 450 + (x * 2), 330 + y, Colors::MakeRGB(82, 82, 82));
	gfx.DrawTri(400 + (x * 2), 350 + (y), 350 + (x * 2), 330 + y, 450 + (x * 2), 330 + y, Colors::MakeRGB(26, 182, 10));
}
